 //*****************************************************************************
 /**
 * システム名     コア物品／発注者
 *サブシステム名 発注者
 *
 * 原本照会対象一覧表示
 * @author NEC
 * @version 1.0, 2003.01.16, 新規作成<BR>
 *          1.1, 2003.06.14, V3-総合-193対応<BR>
 *          1.2, 2003.09.02, V3-結合-76対応<BR>
 *          4.0, 2004.04.12, V4-案件検索機能の強化<BR>
 */
 //*****************************************************************************

/* HTML読込み時の初期処理 */

function onStart()
{

  // クライアント種別の設定
  updateClientKind();

  onLoad();
}

/* 検索実行 */
function submitQuery() {   //EbHPD001Body.js

  document.formSearch.searchProjectNumber.value = document.formProject.searchProjectNumber.value;
  document.formSearch.searchProjectName.value = document.formProject.searchProjectName.value;
  document.formSearch.tenderMethodCode.value = document.formProject.tenderMethodCode.options[document.formProject.tenderMethodCode.selectedIndex].value;
  document.formSearch.officeNumber.value = document.formProject.officeName.options[document.formProject.officeName.selectedIndex].value;
  document.formSearch.searchExecuteDateFrom.value = document.formProject.searchExecuteDateFrom.value;
  document.formSearch.searchExecuteDateTo.value = document.formProject.searchExecuteDateTo.value;
  document.formSearch.projectStatusCode.value = document.formProject.projectStatusCode.options[document.formProject.projectStatusCode.selectedIndex].value;
  document.formSearch.nextListStartIndex.value = "1";
  document.formSearch.showRange.value = document.formProject.showRange.value;

  // 処理区分に0(新規検索)を設定
  document.formSearch.syoriKbn.value ="0";

  // 案件表示順序selectコンポーネント設定
  /* 案件表示順序コンボBOXの何番めが選択状態かを取得 */
  var n = document.formProject.sortNo.selectedIndex;
  /* 案件表示順序のN番目のvalue値を設定 */
  document.formSearch.sortNo.value = document.formProject.sortNo.options[n].value;

  // 昇順･降順radioコンポーネント設定
  if (document.formProject.sortFlag[0].checked) {
    document.formSearch.sortFlag.value = document.formProject.sortFlag[0].value;
  }else if (document.formProject.sortFlag[1].checked) {
    document.formSearch.sortFlag.value = document.formProject.sortFlag[1].value;
  }


  dispatch( document.formSearch, "H621HGS001" );
}

/* 「次へ」「前へ」ボタン及びページインデックスによる遷移 */
function searchIndex(argIndex)
{
  //引数を表示開始位置に設定する
  document.formSearch.nextListStartIndex.value = argIndex

  // 処理区分に1(セッションの検索条件で検索, 表示開始位置のみ更新)を設定
  document.formSearch.syoriKbn.value ="1";

  dispatch( document.formSearch, "H621HGS001" );
}


/* 調達案件情報画面に遷移 */
function showProjectInfo( arg )
{

  document.formRegist.projectNumber.value = arg;
  dispatchPopup( document.formRegist, "H509HPR005");

}

/* 入札書原本情報一覧画面に遷移 */
function tenderDocumentList(arg)
{

  document.formRegist.projectNumber.value=arg;
  dispatch( document.formRegist, "H622HGS002" );
  
}


/* 証明書／提案書原本情報一覧画面に遷移 */
function showCertificateDocumentList(arg)
{

  document.formRegist.projectNumber.value=arg;
  dispatch( document.formRegist, "H623HGS003" );
  
}
